## GstVaapiDecoderVp8 GstVaapiDecoderVp8 — VP8 decoder |

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_vp8_new ()

## Types and Values

| GstVaapiDecoderVp8

## Description

## Functions

### gst_vaapi_decoder_vp8_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_vp8_new (GstVaapiDisplay *display,
                               GstCaps *caps);

Creates a new GstVaapiDecoder for VP8 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderVp8

    typedef struct _GstVaapiDecoderVp8 GstVaapiDecoderVp8;

A decoder based on Vp8.